Skip to main content
POST
/
v2
/
events
/
events-by-contract-id
/v2/events/events-by-contract-id
curl --request POST \
  --url https://api.example.com/v2/events/events-by-contract-id \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contractId": "<string>",
  "eventFormat": {
    "filtersByParty": {},
    "filtersForAnyParty": {
      "cumulative": [
        {
          "identifierFilter": {
            "Empty": {}
          }
        }
      ]
    },
    "verbose": true
  }
}
'
{
  "created": {
    "createdEvent": {
      "offset": 123,
      "nodeId": 123,
      "contractId": "<string>",
      "templateId": "<string>",
      "createArgument": "<unknown>",
      "witnessParties": [
        "<string>"
      ],
      "signatories": [
        "<string>"
      ],
      "createdAt": "<string>",
      "packageName": "<string>",
      "representativePackageId": "<string>",
      "acsDelta": true,
      "contractKey": "<unknown>",
      "contractKeyHash": "<string>",
      "createdEventBlob": "<string>",
      "interfaceViews": [
        {
          "interfaceId": "<string>",
          "viewStatus": {
            "code": 123,
            "message": "<string>",
            "details": [
              {
                "typeUrl": "<string>",
                "value": "<string>",
                "unknownFields": {
                  "fields": {}
                },
                "valueDecoded": "<string>"
              }
            ]
          },
          "viewValue": "<unknown>",
          "implementationPackageId": "<string>"
        }
      ],
      "observers": [
        "<string>"
      ]
    },
    "synchronizerId": "<string>"
  },
  "archived": {
    "archivedEvent": {
      "offset": 123,
      "nodeId": 123,
      "contractId": "<string>",
      "templateId": "<string>",
      "witnessParties": [
        "<string>"
      ],
      "packageName": "<string>",
      "implementedInterfaces": [
        "<string>"
      ]
    },
    "synchronizerId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Body

application/json
contractId
string
required

The contract id being queried.

Required

eventFormat
EventFormat · object
required

Format of the events in the result, the presentation will be of TRANSACTION_SHAPE_ACS_DELTA.

Required

Response

created
JsCreated · object

The create event for the contract with the contract_id given in the request provided it exists and has not yet been pruned.

Optional

archived
JsArchived · object

The archive event for the contract with the contract_id given in the request provided such an archive event exists and it has not yet been pruned.

Optional